活动
GET https://pushye.com/api/campaigns/
curl --request GET \
--url 'https://pushye.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name, title, description, url。 |
| status | 可选的 字符串 | 允许的值:draft, scheduled, processing, sent |
| website_id | 可选的 整数 | |
| datetime_field | 可选的 字符串 | 允许的值:datetime, scheduled_datetime, last_sent_datetime, last_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:campaign_id, datetime, last_datetime, scheduled_datetime, last_sent_datetime, name, title, total_push_notifications, total_sent_push_notifications, total_displayed_push_notifications, total_clicked_push_notifications, total_closed_push_notifications。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"segment": "all",
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"subscribers_ids": [
1,2,3,4,5
],
"sent_subscribers_ids": [],
"total_sent_push_notifications": 0,
"total_push_notifications": 1,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"status": "draft",
"scheduled_datetime": "2024-08-09 00:16:22",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 18:36:45",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/campaigns?page=1",
"last": "https://pushye.com/api/campaigns?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/campaigns?page=1"
}
}
GET https://pushye.com/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"segment": "all",
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"subscribers_ids": [
1,2,3,4,5
],
"sent_subscribers_ids": [],
"total_sent_push_notifications": 0,
"total_push_notifications": 1,
"total_displayed_push_notifications": 0,
"total_clicked_push_notifications": 0,
"total_closed_push_notifications": 0,
"status": "draft",
"scheduled_datetime": "2024-08-09 00:16:22",
"last_sent_datetime": null,
"last_datetime": null,
"datetime": "2026-04-28 18:36:45",
}
}
POST https://pushye.com/api/campaigns
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 必需 整数 | - |
| name | 必需 字符串 | - |
| title | 必需 字符串 | - |
| description | 必需 字符串 | - |
| url | 可选的 字符串 | - |
| image | 可选的 文件 | - |
| button_title_1 | 可选的 字符串 | - |
| button_url_1 | 可选的 字符串 | - |
| button_title_2 | 可选的 字符串 | - |
| button_url_2 | 可选的 字符串 | - |
| is_scheduled | 可选的 布尔值 | - |
| scheduled_datetime | 可选的 字符串 | - |
| is_silent | 可选的 布尔值 | - |
| is_auto_hide | 可选的 布尔值 | - |
| ttl | 可选的 字符串 | 允许的值:0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | 可选的 字符串 | 允许的值:all, custom, filter, INT segment_id |
| subscribers_ids | 可选的 字符串 | 可用时间:segment = custom |
| filters_custom_parameter_key[index] | 可选的 字符串 | 可用时间:segment = filter |
| filters_custom_parameter_condition[index] | 可选的 字符串 |
允许的值:exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than 可用时间:segment = filter |
| filters_custom_parameter_value[index] | 可选的 字符串 | 可用时间:segment = filter |
| filters_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_last_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_last_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_last_seen_online_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_last_sent_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_last_sent_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_subscribed_on_url | 可选的 字符串 | 可用时间:segment = filter |
| filters_cities | 可选的 字符串 | 可用时间:segment = filter |
| filters_countries[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_continents[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_device_type[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_languages[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_operating_systems[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_browsers[] | 可选的 字符串 | 可用时间:segment = filter |
| utm_source | 可选的 字符串 | - |
| utm_medium | 可选的 字符串 | - |
| utm_campaign | 可选的 字符串 | - |
| save | 可选的 布尔值 | 保存草稿 |
| send | 可选的 布尔值 | 发送活动 |
curl --request POST \
--url 'https://pushye.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
POST https://pushye.com/api/campaigns/{campaign_id}
| 参数 | 细节 | 描述 |
|---|---|---|
| website_id | 可选的 整数 | - |
| name | 可选的 字符串 | - |
| title | 可选的 字符串 | - |
| description | 可选的 字符串 | - |
| url | 可选的 字符串 | - |
| image | 可选的 文件 | - |
| button_title_1 | 可选的 字符串 | - |
| button_url_1 | 可选的 字符串 | - |
| button_title_2 | 可选的 字符串 | - |
| button_url_2 | 可选的 字符串 | - |
| is_scheduled | 可选的 布尔值 | - |
| scheduled_datetime | 可选的 字符串 | - |
| is_silent | 可选的 布尔值 | - |
| is_auto_hide | 可选的 布尔值 | - |
| ttl | 可选的 字符串 | 允许的值:0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| segment | 可选的 字符串 | 允许的值:all, custom, filter, INT segment_id |
| subscribers_ids | 可选的 字符串 | 可用时间:segment = custom |
| filters_custom_parameter_key[index] | 可选的 字符串 | 可用时间:segment = filter |
| filters_custom_parameter_condition[index] | 可选的 字符串 |
允许的值:exact, not_exact, contains, not_contains, starts_with, not_starts_with, ends_with, not_ends_with, bigger_than, lower_than 可用时间:segment = filter |
| filters_custom_parameter_value[index] | 可选的 字符串 | 可用时间:segment = filter |
| filters_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_last_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_last_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_last_seen_online_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_last_seen_online_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_last_sent_datetime_condition | 可选的 字符串 | 可用时间:segment = filter within_last, older_than |
| filters_last_sent_datetime_value | 可选的 整数 | 可用时间:segment = filter 天数 |
| filters_subscribed_on_url | 可选的 字符串 | 可用时间:segment = filter |
| filters_cities | 可选的 字符串 | 可用时间:segment = filter |
| filters_countries[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_continents[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_device_type[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_languages[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_operating_systems[] | 可选的 字符串 | 可用时间:segment = filter |
| filters_browsers[] | 可选的 字符串 | 可用时间:segment = filter |
| utm_source | 可选的 字符串 | - |
| utm_medium | 可选的 字符串 | - |
| utm_campaign | 可选的 字符串 | - |
| save | 可选的 布尔值 | 保存草稿 |
| send | 可选的 布尔值 | 发送活动 |
curl --request POST \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \